package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.entity.SysMusicScore.PlayMode;
import com.ym.mec.biz.dal.enums.ClientTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_music_score_accompaniment):
 */
public class SysMusicScoreAccompaniment {

	/**  */
	private Integer id;
	
	/**  */
	private Integer examSongId;
	
	/**  */
	private Integer subjectId;

	/**  */
	private String subjectName;
	
	/**  */
	private String mp3Url;

	/** 带节拍器MP3 */
	private String metronomeMp3Url;
	
	/** 是否删除 */
	private Integer delFlag;
	
	/** 速度 */
	private Integer speed;
	
	/**  */
	private String xmlUrl;

	/**  */
	private String examSongName;

	/**  */
	private String categoriesName;

	/**  */
	private Integer categoriesId;
	
	private Integer parentCategoriesId;

	/**  */
	private String type;

	/**  */
	private String url;

	/** 带节拍器MP3 */
	private String metronomeUrl;

	private String midiUrl;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	//是否显示指法
	private Boolean isShowFingering = true;
	
	private Boolean isOpenMetronome;

	private String memo;

	private String rankIds;

	private ClientTypeEnum clientType;
	
	private String renderFrom;
	
	private boolean enableEvaluation;
	
	private String museScoreUrl;
	
	private String museScoreMemo;
	
	private PlayMode playMode;
	
	private String track;

	private String extConfigJson;

	public String getExtConfigJson() {
		return extConfigJson;
	}

	public void setExtConfigJson(String extConfigJson) {
		this.extConfigJson = extConfigJson;
	}

	public String getMetronomeUrl() {
		return metronomeUrl;
	}

	public void setMetronomeUrl(String metronomeUrl) {
		this.metronomeUrl = metronomeUrl;
	}

	public String getMidiUrl() {
		return midiUrl;
	}

	public void setMidiUrl(String midiUrl) {
		this.midiUrl = midiUrl;
	}

	public String getRankIds() {
		return rankIds;
	}

	public void setRankIds(String rankIds) {
		this.rankIds = rankIds;
	}

	public ClientTypeEnum getClientType() {
		return clientType;
	}

	public void setClientType(ClientTypeEnum clientType) {
		this.clientType = clientType;
	}

	public Boolean getIsShowFingering() {
		return isShowFingering;
	}

	public void setIsShowFingering(Boolean showFingering) {
		isShowFingering = showFingering;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public Integer getCategoriesId() {
		return categoriesId;
	}

	public void setCategoriesId(Integer categoriesId) {
		this.categoriesId = categoriesId;
	}

	public Integer getParentCategoriesId() {
		return parentCategoriesId;
	}

	public void setParentCategoriesId(Integer parentCategoriesId) {
		this.parentCategoriesId = parentCategoriesId;
	}

	public String getCategoriesName() {
		return categoriesName;
	}

	public void setCategoriesName(String categoriesName) {
		this.categoriesName = categoriesName;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getExamSongName() {
		return examSongName;
	}

	public void setExamSongName(String examSongName) {
		this.examSongName = examSongName;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setExamSongId(Integer examSongId){
		this.examSongId = examSongId;
	}
	
	public Integer getExamSongId(){
		return this.examSongId;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setMp3Url(String mp3Url){
		this.mp3Url = mp3Url;
	}
	
	public String getMp3Url(){
		return this.mp3Url;
	}
			
	public void setDelFlag(Integer delFlag){
		this.delFlag = delFlag;
	}
	
	public Integer getDelFlag(){
		return this.delFlag;
	}
			
	public void setSpeed(Integer speed){
		this.speed = speed;
	}
	
	public Integer getSpeed(){
		return this.speed;
	}
			
	public void setXmlUrl(String xmlUrl){
		this.xmlUrl = xmlUrl;
	}
	
	public String getXmlUrl(){
		return this.xmlUrl;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public Boolean getIsOpenMetronome() {
		return isOpenMetronome;
	}

	public void setIsOpenMetronome(Boolean isOpenMetronome) {
		this.isOpenMetronome = isOpenMetronome;
	}

	public String getRenderFrom() {
		return renderFrom;
	}

	public void setRenderFrom(String renderFrom) {
		this.renderFrom = renderFrom;
	}

	public boolean isEnableEvaluation() {
		return enableEvaluation;
	}

	public void setEnableEvaluation(boolean enableEvaluation) {
		this.enableEvaluation = enableEvaluation;
	}

	public String getMetronomeMp3Url() {
		return metronomeMp3Url;
	}

	public void setMetronomeMp3Url(String metronomeMp3Url) {
		this.metronomeMp3Url = metronomeMp3Url;
	}

	public String getMuseScoreUrl() {
		return museScoreUrl;
	}

	public void setMuseScoreUrl(String museScoreUrl) {
		this.museScoreUrl = museScoreUrl;
	}

	public String getMuseScoreMemo() {
		return museScoreMemo;
	}

	public void setMuseScoreMemo(String museScoreMemo) {
		this.museScoreMemo = museScoreMemo;
	}

	public PlayMode getPlayMode() {
		return playMode;
	}

	public void setPlayMode(PlayMode playMode) {
		this.playMode = playMode;
	}

	public String getTrack() {
		return track;
	}

	public void setTrack(String track) {
		this.track = track;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
